Package org.jboss.logmanager.filters

## Class AnyFilter

- java.lang.Object
- - org.jboss.logmanager.filters.AnyFilter

All Implemented Interfaces:
  `java.util.logging.Filter`

    public final class AnyFilter
    extends java.lang.Object
    implements java.util.logging.Filter

A filter consisting of several filters in a chain. If any filter finds the log message to be loggable, the message will be logged and subsequent filters will not be checked. If there are no nested filters, this instance always returns `false`.

### Constructor Summary

Constructors
`AnyFilter​(java.lang.Iterable<java.util.logging.Filter> filters)` Construct a new instance.
`AnyFilter​(java.util.Iterator<java.util.logging.Filter> filters)` Construct a new instance.
`AnyFilter​(java.util.logging.Filter[] filters)` Construct a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isLoggable​(java.util.logging.LogRecord record)` Determine whether the record is loggable.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnyFilter

    public AnyFilter​(java.util.logging.Filter[] filters)

Construct a new instance.

Parameters:
  `filters` - the constituent filters

#### AnyFilter

    public AnyFilter​(java.lang.Iterable<java.util.logging.Filter> filters)

Construct a new instance.

Parameters:
  `filters` - the constituent filters

#### AnyFilter

    public AnyFilter​(java.util.Iterator<java.util.logging.Filter> filters)

Construct a new instance.

Parameters:
  `filters` - the constituent filters

### Method Detail

#### isLoggable

    public boolean isLoggable​(java.util.logging.LogRecord record)

Determine whether the record is loggable.

Specified by:
  `isLoggable` in interface `java.util.logging.Filter`
Parameters:
  `record` - the log record
Returns:
  `true` if any of the constituent filters return `true`